From e7c217d354ad73503aac8f8154dba4a357147888 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 18 Jan 2023 09:30:11 +1100
Subject: [PATCH v1] Replace linkend single-quotes with double-quotes.

---
 doc/src/sgml/libpq.sgml           |  4 ++--
 doc/src/sgml/monitoring.sgml      | 14 +++++++-------
 doc/src/sgml/ref/create_role.sgml |  2 +-
 doc/src/sgml/ref/createuser.sgml  |  4 ++--
 4 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 0e7ae70..3ccd8ff 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1736,8 +1736,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         revocation list (CRL).  Certificates listed in this file, if it
         exists, will be rejected while attempting to authenticate the
         server's certificate.  If neither
-        <xref linkend='libpq-connect-sslcrl'/> nor
-        <xref linkend='libpq-connect-sslcrldir'/> is set, this setting is
+        <xref linkend="libpq-connect-sslcrl"/> nor
+        <xref linkend="libpq-connect-sslcrldir"/> is set, this setting is
         taken as
         <filename>~/.postgresql/root.crl</filename>.
        </para>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 358d2ff..354cd55 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -372,7 +372,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><structname>pg_stat_progress_analyze</structname><indexterm><primary>pg_stat_progress_analyze</primary></indexterm></entry>
       <entry>One row for each backend (including autovacuum worker processes) running
        <command>ANALYZE</command>, showing current progress.
-       See <xref linkend='analyze-progress-reporting'/>.
+       See <xref linkend="analyze-progress-reporting"/>.
       </entry>
      </row>
 
@@ -380,7 +380,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><structname>pg_stat_progress_create_index</structname><indexterm><primary>pg_stat_progress_create_index</primary></indexterm></entry>
       <entry>One row for each backend running <command>CREATE INDEX</command> or <command>REINDEX</command>, showing
       current progress.
-      See <xref linkend='create-index-progress-reporting'/>.
+      See <xref linkend="create-index-progress-reporting"/>.
      </entry>
      </row>
 
@@ -388,7 +388,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><structname>pg_stat_progress_vacuum</structname><indexterm><primary>pg_stat_progress_vacuum</primary></indexterm></entry>
       <entry>One row for each backend (including autovacuum worker processes) running
        <command>VACUUM</command>, showing current progress.
-       See <xref linkend='vacuum-progress-reporting'/>.
+       See <xref linkend="vacuum-progress-reporting"/>.
       </entry>
      </row>
 
@@ -396,7 +396,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><structname>pg_stat_progress_cluster</structname><indexterm><primary>pg_stat_progress_cluster</primary></indexterm></entry>
       <entry>One row for each backend running
        <command>CLUSTER</command> or <command>VACUUM FULL</command>, showing current progress.
-       See <xref linkend='cluster-progress-reporting'/>.
+       See <xref linkend="cluster-progress-reporting"/>.
       </entry>
      </row>
 
@@ -404,14 +404,14 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><structname>pg_stat_progress_basebackup</structname><indexterm><primary>pg_stat_progress_basebackup</primary></indexterm></entry>
       <entry>One row for each WAL sender process streaming a base backup,
        showing current progress.
-       See <xref linkend='basebackup-progress-reporting'/>.
+       See <xref linkend="basebackup-progress-reporting"/>.
       </entry>
      </row>
 
      <row>
       <entry><structname>pg_stat_progress_copy</structname><indexterm><primary>pg_stat_progress_copy</primary></indexterm></entry>
       <entry>One row for each backend running <command>COPY</command>, showing current progress.
-       See <xref linkend='copy-progress-reporting'/>.
+       See <xref linkend="copy-progress-reporting"/>.
       </entry>
      </row>
     </tbody>
@@ -6729,7 +6729,7 @@ FROM pg_stat_get_backend_idset() AS backendid;
    <structname>pg_stat_progress_cluster</structname>
    because both <command>VACUUM FULL</command> and <command>CLUSTER</command>
    rewrite the table, while regular <command>VACUUM</command> only modifies it
-   in place. See <xref linkend='cluster-progress-reporting'/>.
+   in place. See <xref linkend="cluster-progress-reporting"/>.
   </para>
 
   <table id="pg-stat-progress-vacuum-view" xreflabel="pg_stat_progress_vacuum">
diff --git a/doc/src/sgml/ref/create_role.sgml b/doc/src/sgml/ref/create_role.sgml
index 7ce4e38..9e459a0 100644
--- a/doc/src/sgml/ref/create_role.sgml
+++ b/doc/src/sgml/ref/create_role.sgml
@@ -121,7 +121,7 @@ in sync when changing the above synopsis!
         These clauses determine whether a role will be permitted to
         create, alter, drop, comment on, and change the security label for
         other roles.
-        See <xref linkend='role-creation' /> for more details about what
+        See <xref linkend="role-creation"/> for more details about what
         capabilities are conferred by this privilege.
         If not specified, <literal>NOCREATEROLE</literal> is the default.
        </para>
diff --git a/doc/src/sgml/ref/createuser.sgml b/doc/src/sgml/ref/createuser.sgml
index 9a1c3d0..e3af87f 100644
--- a/doc/src/sgml/ref/createuser.sgml
+++ b/doc/src/sgml/ref/createuser.sgml
@@ -48,7 +48,7 @@ PostgreSQL documentation
    Being a superuser implies the ability to bypass all access permission
    checks within the database, so superuser access should not be granted
    lightly. <literal>CREATEROLE</literal> also conveys
-   <link linkend='role-creation'>very extensive privileges</link>.
+   <link linkend="role-creation">very extensive privileges</link>.
   </para>
 
   <para>
@@ -254,7 +254,7 @@ PostgreSQL documentation
         The new user will be allowed to create, alter, drop, comment on,
         change the security label for other roles; that is,
         this user will have <literal>CREATEROLE</literal> privilege.
-        See <xref linkend='role-creation' /> for more details about what
+        See <xref linkend="role-creation"/> for more details about what
         capabilities are conferred by this privilege.
        </para>
       </listitem>
-- 
1.8.3.1

